package com.fdage.service;

import com.fdage.pojo.TbCollection;
import com.fdage.pojo.TbCollectionTime;
import com.fdage.pojo.TbCollectionType;
import com.fdage.request.RequestCollection;
import com.fdage.respon.ResponCollection;
import com.fdage.respon.ResponStatistics;
import com.fdage.util.AjaxJson;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * Created by Hb_zzZ on 2019/9/11.
 */
public interface ICollectionService {

    List<TbCollectionType> typeList(RequestCollection bo);

    List<TbCollectionTime> timeList();

    int insert(TbCollection bo);

    int update(TbCollection bo);

    ResponCollection findById(Long id);

    List<ResponCollection> findList(RequestCollection bo);

    int addLikeNumById(Long id);

    AjaxJson importCollection(String fileUrl);

    List<ResponCollection> searchCollection(RequestCollection bo);

    int addSearchNum(Long id);

    int addDownloadNum(Long id);

    ResponStatistics collectionTotal();

    List<ResponCollection> findListOrderBy(Map<String, String> map);

    List<Map<String, Object>> typeTotal();

    int deleteById(Long id);

    AjaxJson uploadCode(MultipartFile file, String code);

    AjaxJson addVisit(Long id);


    Long countVisit();
}
